/*
*********************************************************************************************************
*
*	ģ : EEPROM 24xx02ģ
*	ļ : bsp_eeprom_24xx.h
*	     : V1.0
*	˵     : ͷļ
*
*	޸ļ¼ :
*		汾             ˵
*		v1.0    2012-10-12 armfly  ST̼汾 V2.1.0
*
*	Copyright (C), 2012-2013,  www.armfly.com
*
*********************************************************************************************************
*/

#ifndef _BSP_EEPROM_24XX_H
#define _BSP_EEPROM_24XX_H

//#define AT24C02
#define AT24C128

#ifdef AT24C02
	#define EE_MODEL_NAME		"AT24C02"
	#define EE_DEV_ADDR			0xA0		/* 豸ַ */
	#define EE_PAGE_SIZE		8			/* ҳС(ֽ) */
	#define EE_SIZE				256			/* (ֽ) */
	#define EE_ADDR_BYTES		1			/* ַֽڸ */
#endif

#ifdef AT24C128
	#define EE_MODEL_NAME		"AT24C128"
	#define EE_DEV_ADDR			0xA0		/* 豸ַ */
	#define EE_PAGE_SIZE		64			/* ҳС(ֽ) */
	#define EE_SIZE				(16*1024)	/* (ֽ) */
	#define EE_ADDR_BYTES		2			/* ַֽڸ */
#endif

uint8_t ee_CheckOk(void);
uint8_t ee_ReadBytes(uint8_t *_pReadBuf, uint16_t _usAddress, uint16_t _usSize);
uint8_t ee_WriteBytes(uint8_t *_pWriteBuf, uint16_t _usAddress, uint16_t _usSize);

#endif

/*****************************  www.armfly.com (END OF FILE) *********************************/
