/*
*********************************************************************************************************
*
*	ģ : I2Cģ
*	ļ : bsp_i2c_gpio.h
*	     : V1.0
*	˵     : ͷļ
*
*	Copyright (C), 2012-2013,  www.armfly.com
*
*********************************************************************************************************
*/

#ifndef _BSP_I2C_GPIO_H
#define _BSP_I2C_GPIO_H

#define I2C_WR	0		/* дbit */
#define I2C_RD	1		/* bit */

void bsp_InitI2C(void);
void i2c_Start(void);
void i2c_Stop(void);
void i2c_SendByte(uint8_t _ucByte);
uint8_t i2c_ReadByte(void);
uint8_t i2c_WaitAck(void);
void i2c_Ack(void);
void i2c_NAck(void);
uint8_t i2c_CheckDevice(uint8_t _Address);

#endif
