/*
*********************************************************************************************************
*
*	ģ : GPSλģ
*	ļ : bsp_g_tGPS.h
*	     : V1.0
*	˵     : ͷļ
*
*	Copyright (C), 2013-2014,  www.armfly.com
*
*********************************************************************************************************
*/

#ifndef __BSP_GPS_H
#define __BSP_GPS_H

typedef struct
{
	uint8_t UartOk;		/* 1ʾݽյGPSַ */
	
	/* GGA  : ʱ䡢λáλ  (λϢ RMC) */

	/* λЧ־, 0:δλ 1:SPSģʽλЧ 2:֣SPSģʽλЧ 3:PPSģʽλЧ */
	uint8_t PositionOk;
	uint32_t Altitude;	/* θ߶ȣԺƽ   x.x  */

	/* GLLȡγȡUTCʱ */
	/* ݣ$GPGLL,3723.2475,N,12158.3416,W,161229.487,A*2C */


	/* GSAGPSջģʽλʹõǣDOPֵ */
	/* ݣ$GPGSA,A,3,07,02,26,27,09,04,15, , , , , ,1.8,1.0,1.5*33 */
	uint8_t ModeAM;				/* M=ֶǿƲ2D3DģʽA=Զ */
	uint8_t Mode2D3D;			/* λ 1=δλ2=2Dλ3=3Dλ */
	uint8_t SateID[12];			/* ID of 1st satellite used for fix */
	uint16_t PDOP;				/* λþ, 0.1 */
	uint16_t HDOP;				/* ˮƽ, 0.1 */
	uint16_t VDOP;				/* ֱ, 0.1 */

	/* GSVɼGPSϢǡλǡȣSNR */
	/*
		$GPGSV,2,1,07,07,79,048,42,02,51,062,43,26,36,256,42,27,27,138,42*71
		$GPGSV,2,2,07,09,23,313,42,04,19,159,41,15,12,041,42*41
	*/
	uint8_t ViewNumber;			/* ɼǸ */
	uint8_t Elevation[12];		/*  elevation in degrees  ,90*/
	uint16_t Azimuth[12];		/* λ azimuth in degrees to true  ,0-359*/
	uint8_t SNR[12];			/* ȣC/No  ȣ  dBHz   Χ099ûиʱΪ */

	/* RMCʱ䡢ڡλ	ٶ */
	/* ݣ$GPRMC,161229.487,A,3723.2475,N,12158.3416,W,0.13,309.62,120598, ,*10 */
	uint16_t WeiDu_Du;			/* γȣ */
	uint32_t WeiDu_Fen;			/* γȣ. 232475  С4λ, ʾ 23.2475  */
	char     NS;				/* γȰN򣩻Sϰ */

	uint16_t JingDu_Du;			/* ȣλ */
	uint32_t JingDu_Fen;		/* ȣλ */
	char     EW;				/* ȰEW */

	uint16_t Year;				/*  120598 ddmmyy */
	uint8_t  Month;
	uint8_t  Day;
	uint8_t  Hour;				/* UTC ʱ䡣 hhmmss.sss */
	uint8_t  Min;				/*  */
	uint8_t  Sec;				/*  */
	uint16_t mSec;				/*  */
	char   TimeOk;				/* A=UTCʱЧV=Ч */

	/* VTGٶϢ */
	/* ݣ$GPVTG,309.62,T, ,M,0.13,N,0.2,K*6E */
	uint16_t TrackDegTrue;		/* 汱Ϊο׼ĵ溽000~359ȣǰ0Ҳ䣩 */
	uint16_t TrackDegMag;		/* ԴűΪο׼ĵ溽000~359ȣǰ0Ҳ䣩 */
	uint32_t SpeedKnots;		/* ʣ000.0~999.9ڣǰ0Ҳ䣩 */
	uint32_t SpeedKM;			/* ʣ000.0~999.9ڣǰ0Ҳ䣩 */

}GPS_T;

void bsp_InitGPS(void);
void gps_pro(void);
uint32_t gps_FenToDu(uint32_t _fen);
uint16_t gps_FenToMiao(uint32_t _fen);

extern GPS_T g_tGPS;

#endif

/*****************************  www.armfly.com (END OF FILE) *********************************/
